JsonCpp project page | JsonCpp home page

Namespaces | Macros | Typedefs | Functions
json_writer.cpp File Reference
`#include <json/writer.h>`
`#include "json_tool.h"`
`#include <iomanip>`
`#include <memory>`
`#include <sstream>`
`#include <utility>`
`#include <set>`
`#include <cassert>`
`#include <cstring>`
`#include <cstdio>`
`#include <float.h>`
Include dependency graph for json_writer.cpp:

Go to the source code of this file.

## Namespaces
| Json
| JSON (JavaScript Object Notation).

## Macros
#define | isfinite _finite
#define | snprintf _snprintf

## Typedefs
typedef std::auto_ptr< StreamWriter > | Json::StreamWriterPtr

## Functions
static bool | Json::containsControlCharacter (const char *str)
static bool | Json::containsControlCharacter0 (const char *str, unsigned len)
std::string | Json::valueToString (LargestInt value)
std::string | Json::valueToString (LargestUInt value)
std::string | Json::valueToString (Int value)
std::string | Json::valueToString (UInt value)
std::string | Json::valueToString (double value)
std::string | Json::valueToString (bool value)
std::string | Json::valueToQuotedString (const char *value)
static char const * | Json::strnpbrk (char const *s, char const *accept, size_t n)
static std::string | Json::valueToQuotedStringN (const char *value, unsigned length)
static void | Json::getValidWriterKeys (std::set< std::string > *valid_keys)
std::string | Json::writeString (StreamWriter::Factory const &factory, Value const &root)
| Write into stringstream, then return string, for convenience. More...
std::ostream & | Json::operator<< (std::ostream &, const Value &root)
| Output using the StyledStreamWriter. More...

## Macro Definition Documentation

## ◆ isfinite

#define isfinite _finite

Definition at line 21 of file json_writer.cpp.

Referenced by Json::valueToString().

## ◆ snprintf

#define snprintf _snprintf

Definition at line 55 of file json_writer.cpp.

Referenced by Json::valueToString().